Instalando Token da OAB no Linux Mint 17.3 (Rose)

Este artigo traz novidades acerca da instalação e utilização do Token OAB para assinatura digital.

[ Hits: 12.317 ]

Por: andre uebe em 21/03/2017 | Blog: http://resa.net.br


Procedimentos



Como foi dito, o processo de instalação é bem mais simples que o descrito em artigo ANDRE. Mãos à obra, então:

a) Baixar e instalar o Mint 17.3 (Rosa)

a.1) Descubra a arquitetura do seu processador, digitando no terminal:

lscpu

Se resultado for:
  • Architecture: x86_64 → para 64 bits.
  • Architecture: x86_32 → para 32 bits.

a.2) Faça download do Linux Mint:
Para as opções acima com o ambiente gráfico Cinnamon em vez do MATE, acesse:
a.3) Instale a imagem baixada em um pendrive, ou CD, e instale o Linux Mint 17.3. Para criar um pendrive de instalação, acesse o artigo:
b) Instalar as bibliotecas a partir do repositório do Linux Mint 17.3.

Execute no terminal (linha de comando) os comandos a seguir (sugiro copiar e colar):

sudo apt-get install libengine-pkcs11-openssl libp11-2 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libopensc-openssl libjbig0 libtiff5 fontconfig-config libfontconfig1 libwxbase2.8-0 libwxbase3.0 libpcsclite1 libccid pcscd

c) Instalar as bibliotecas que não estão no repositório do Linux Mint 17.3.

No terminal, execute os comandos a seguir (sugiro copiar e colar):

wget http://archive.ubuntu.com/ubuntu/pool/main/t/tiff/libtiff4_3.9.5-2ubuntu1.9_amd64.deb && wget http://cz.archive.ubuntu.com/ubuntu/pool/universe/w/wxwidgets2.8/libwxgtk2.8-0_2.8.12.1-6ubuntu2_amd64.deb && sudo dpkg -i libwxgtk2.8-0_2.8.12.1-6ubuntu2_amd64.deb && sudo dpkg -i libtiff4_3.9.5-2ubuntu1.9_amd64.deb

Se ocorrer algum erro no download de libwxgtk2.8-0, escolha um espelho alternativo a partir do site:
d) Instalar o aplicativo de gerenciamento do token da VALID Certificadora.

Execute no terminal um dos comandos a seguir:

Para 64 bits:

wget http://www.validcertificadora.com.br/upload/downloads/linux64bits/safesignidentityclient_3.0.77-Ubuntu_amd64.deb && sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_amd64.deb

Para 32 bits:

wget http://www.validcertificadora.com.br/upload/downloads/linux32bits/safesignidentityclient_3.0.77-Ubuntu_i386.deb && sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_i386.deb

Página anterior     Próxima página

Páginas do artigo
   1. Introdução
   2. Procedimentos
   3. Configurações / Assinatura / Referências
Outros artigos deste autor

Token de Certificação para Assinatura Digital OAB - Instalação no Ubuntu 14.04/15.04

Tranferência rápida de arquivos do Android para PC via FTP

Instalando o KUbuntu / Ubuntu no notebook eeepc da Asus

Declaração de IRPF 2006 pelo Linux

Fazendo backup no Gmail via cliente de e-mail e IMAP

Leitura recomendada

Adaptador USB RF para redes sem fio (Clone) no Debian e Dapper

Instalando nVidia no Debian Lenny 5.0.1 - Kernel 2.6.26-2-686

Instalação do Linux em dual boot com Windows 10 em notebook Samsung

Montar HD em NTFS com o ETCH

Guia de instalação de placas de vídeo ATI no SuSE

  
Comentários
[1] Comentário enviado por Serph em 03/04/2017 - 09:19h

Saberia me dizer se existe uma opção do safesignidentityclient_3.0.77-Ubuntu_amd64.deb para debian e centos?

[2] Comentário enviado por andreuebe em 03/04/2017 - 14:11h

Não sei dizer. Mas a conversão de pacotes para outras distribuições é possível por meio do "alien" :

https://www.vivaolinux.com.br/artigo/Utilizando-o-alien-para-a-conversao-de-pacotes

tenta aí dá um retorno por favor

[3] Comentário enviado por pinduvoz em 09/04/2017 - 00:56h

Eu instalei e usei o token OAB no Ubuntu 16.04. O TokenAdmin/SafeSign não funciona, mas não precisei dele para usar a versão sem Java do TJSP. Funcionou perfeitamente no Google Chrome.

[4] Comentário enviado por pinduvoz em 09/04/2017 - 00:59h

Publiquei uma tela aqui do teste do TJSP.

https://www.vivaolinux.com.br/screenshot/Unity-Processo-Eletronico/

[5] Comentário enviado por mamp em 11/04/2017 - 12:16h

Eu tenho usando a ultima versao do Ubuntu 16.10 com Firefox 52esr e java 121. Escrevi tambem um artigo para ubuntu https://www.vivaolinux.com.br/artigo/Sou-advogado-e-consegui-instalar-Certificado-Digital-para-PJe e mais completo http://www.piresdemoraes.com/Artigos/Artigo%20configurando%20Linux%20Certificado%20Digiital%20-%20V2....

Mas estou tentando instalar no Fedora25, consigo o Java, Firefox 52 Esr mas nao consegui instalar a certificação digital. se alguem tiver alguma sugestão.

[6] Comentário enviado por andreuebe em 20/04/2017 - 08:49h


[3] Comentário enviado por pinduvoz em 09/04/2017 - 00:56h

Eu instalei e usei o token OAB no Ubuntu 16.04. O TokenAdmin/SafeSign não funciona, mas não precisei dele para usar a versão sem Java do TJSP. Funcionou perfeitamente no Google Chrome.


Bom saber que há esta solução também!! Já temos alternativas :D

[7] Comentário enviado por andreuebe em 20/04/2017 - 08:50h


[5] Comentário enviado por mamp em 11/04/2017 - 12:16h

Eu tenho usando a ultima versao do Ubuntu 16.10 com Firefox 52esr e java 121. Escrevi tambem um artigo para ubuntu https://www.vivaolinux.com.br/artigo/Sou-advogado-e-consegui-instalar-Certificado-Digital-para-PJe e mais completo http://www.piresdemoraes.com/Artigos/Artigo%20configurando%20Linux%20Certificado%20Digiital%20-%20V2....

Mas estou tentando instalar no Fedora25, consigo o Java, Firefox 52 Esr mas nao consegui instalar a certificação digital. se alguem tiver alguma sugestão.


Mas o que especificamente acontece no momento de instalar a certificação?

[8] Comentário enviado por mamp em 21/04/2017 - 01:58h

Andreuebe, simplesmente instala. aparece o ícone do token administrador, encontra o certificado digital.
Depois de instalado eu consegui acessar o pje do RS.
veja no meu artigo, tem todos os detalhes, se não der certo vc me fala

http://piresdemoraesadv.blogspot.com.br/2016/10/pje-e-direito-digital-configurando.html

vou fazer screenshot e colocar para vc ver que consegui no Ubuntu.
vê se da para ver: https://www.vivaolinux.com.br/screenshot/Unity-PJe-TJRS-Abr2017/

[9] Comentário enviado por andreuebe em 24/04/2017 - 08:22h

Desculpe mamp

Estou confuso com o problema que está ocorrendo. Primeiro comentastes que está com problema para instalar:

"Mas estou tentando instalar no Fedora25, consigo o Java, Firefox 52 Esr mas nao consegui instalar a certificação digital. "

Mas, depois, falastes que conseguiu:

".. simplesmente instala. aparece o ícone do token administrador, encontra o certificado digital. Depois de instalado eu consegui acessar o pje do RS."

No caso, qual seria o problema, então?

abs

[10] Comentário enviado por mamp em 24/04/2017 - 09:46h

Perdao, talvez eu nao tenha entendido a pergunta.
No ubuntu esta instalado corretamente. Eu consegui usar no TJRS.

Mas no Fedora, nao consegui instalar a certificacao digital ainda. Vc ja usou fedora?



[9] Comentário enviado por andreuebe em 24/04/2017 - 08:22h

Desculpe mamp

Estou confuso com o problema que está ocorrendo. Primeiro comentastes que está com problema para instalar:

"Mas estou tentando instalar no Fedora25, consigo o Java, Firefox 52 Esr mas nao consegui instalar a certificação digital. "

Mas, depois, falastes que conseguiu:

".. simplesmente instala. aparece o ícone do token administrador, encontra o certificado digital. Depois de instalado eu consegui acessar o pje do RS."

No caso, qual seria o problema, então?

abs




[11] Comentário enviado por carvalhonh em 04/04/2020 - 11:52h

Tive problemas também
Primeiro apt install libengine-pkcs11-openssl libp11-3 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libengine-pkcs11-openssl
Porém enviei para pendrive os arquivos descompactados libpng12.so.0 e libwx_gtk2u_core-2.8.so.0 (libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libpng12-0_1.2.50-2+deb8u3_amd64.deb)
Depois instalei libwxbase2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libjpeg62-turbo_1.5.2-2+b1_amd64.deb libgdbm3_1.8.3-14_amd64.deb libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb são os únicos que instalam e logo em seguida safesignidentityclient_3.0.77-Ubuntu_amd64.deb
pegue aqui: https://www.validcertificadora.com.br/SafeSignLinux
apt update e faltavam os descompactados acima
Então gedit /var/lib/dpkg/status e retire libwxbase2.8-0, libwxgtk2.8-0 e libgdbm3 salve
então apt -f install instalará safesignidentityclient_3.0.77-Ubuntu_amd64.deb porém não abre o utilitário de administração do token para se precisar refazer senha digitadas por três vezes, para quem não precisa está encerrado.
Porém quem entende que é necessário vamos pegar os arquivos descompactados e jogá-los em
cd /tmp/
cp libwx_gtk2u_core-2.8.so.0 /usr/lib/x86_64-linux-gnu/
cd /tmp/
cp libpng12.so.0 /usr/lib/x86_64-linux-gnu/
teste para saber se abrirá: /usr/bin/tokenadmin (veja há falta, acrescente-a ou se tudo ok abrirá)
Uso Linux somente há quinze anos


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts